Subject: Re: [PATCH] Add hwcap2 bits for POWER9

From: "Carlos O'Donell" <[email-masked]>
Date: Mon, 11 Jan 2016 10:21:05 -0500

On 01/11/2016 10:16 AM, Tulio Magno Quites Machado Filho wrote:
> Adhemerval Zanella <[email-masked]> writes:
> 
>> On 08-01-2016 13:36, Peter Bergner wrote:
>>> On Fri, 2016-01-08 at 11:25 -0200, Tulio Magno Quites Machado Filho wrote:
>>>> Peter, this solves the issue you reported previously [1].
>>>>
>>>> [1] https://sourceware.org/ml/libc-alpha/2015-12/msg00522.html
>>>
>>> Agreed, thanks.  I'll also add the POWER9 support to the GCC side
>>> of the patch now that the glibc code is upstream.
>>
>> I do not see these bits being added in kernel side yet and GLIBC usual
>> only sync these kind of bits *after* they are included in kernel side.
>> So I would advise to either get these pieces (kernel support and hwcap
>> advertise) in kernel before 2.23 release, otherwise revert the patches.
> 
> Ack.
> It has just been sent to the correspondent Linux mailing list:
> https://lists.ozlabs.org/pipermail/linuxppc-dev/2016-January/137763.html

Please revert the changes from glibc until you checkin support to linux
kernel mainline.

Leaving these bits in increases the risk that someone uses to deploy a glibc
that then may have the wrong value.

Cheers,
Carlos.